# -*- sh -*-
# aclocal - Library of autoconf macros
# fi_std_defines.m4 - Adds some standard defines to confdefs.h
# Copyright (C) 2000, 2002, 2004 Philippe Troin <phil@fifi.org>
#
# $Id: fi_std_defines.m4,v 1.4 2004/04/06 00:26:44 phil Exp $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# FI_STD_DEFINES (no arguments)
#
# Adds some standard #define in confdefs.h
# This should be called very early in configure.in.
# FI_USE_XNET should have been called before calling FI_STD_DEFINES.

AC_DEFUN([FI_STD_DEFINES], [
if test -f confdefs.h \
   && grep 'FI_STD''_DEFINES called' confdefs.h > /dev/null 2>&1
then
    AC_MSG_ERROR([[FI_STD_DEFINES] called twice])
else
  case "x$fi_cv_use_xnet" in
    xyes|xno) :;;
    *)  AC_MSG_ERROR([call [FI_USE_XNET] before invoking [FI_STD_DEFINES]]) ;;
  esac
  echo "/* FI_STD""_DEFINES called */" >> confdefs.h
  echo "#define _GNU_SOURCE" >> confdefs.h
  if test "x$fi_cv_use_xnet" = xyes
  then
    echo "#define _XOPEN_SOURCE 500" >> confdefs.h
    echo "#define _XOPEN_SOURCE_EXTENDED 1" >> confdefs.h
  fi
  AH_BOTTOM(
[/* Added by FI_STD_DEFINES in configure.(in|ac) */
#define _GNU_SOURCE
#if USE_XNET
# define _XOPEN_SOURCE 500
# define _XOPEN_SOURCE_EXTENDED 1
#endif /* USE_XNET */
/* End of FI_STD_DEFINES additions. */])
fi
])
